/*
  * Copyright 2015 The CHOReVOLUTION project
  *
  * Licensed under the Apache License, Version 2.0 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *      http://www.apache.org/licenses/LICENSE-2.0
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */
package eu.chorevolution.studio.eclipse.ui;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

import eu.chorevolution.studio.eclipse.core.preferences.ChorevolutionPreferenceData;

public class Utilities {

	public static Map<String, Text> createGrupContents(Composite container, String name, List<ChorevolutionPreferenceData> contents) {
		Group group = new Group(container, SWT.SHADOW_ETCHED_IN);
		group.setText(name);
		group.setLayoutData(new GridData(SWT.FILL, SWT.BEGINNING, true, false, 2, 1));
		GridLayout gl = new GridLayout(2, false);
		gl.marginTop = 10;
		gl.marginBottom = 10;
		group.setLayout(gl);

		Map<String, Text> textsElements = new HashMap<String, Text>();

		for (ChorevolutionPreferenceData sourceModelPref : contents) {
			Label label = new Label(group, SWT.NONE);
			label.setText(sourceModelPref.getLabel());

			Text text = new Text(group, SWT.BORDER);
			text.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
			text.setText(sourceModelPref.getValue());

			textsElements.put(sourceModelPref.getID(), text);
		}
		return textsElements;
	}
	
	public static Map<String, Text> createContents(Composite parent, String name, List<ChorevolutionPreferenceData> contents) {
		Composite container = new Composite(parent, SWT.NULL);
		
		GridLayout gridLayout = new GridLayout(2, false);
		gridLayout.verticalSpacing = 10;
		gridLayout.marginBottom = 0;
		container.setLayout(gridLayout);
		
		container.setLayout(gridLayout);

		Map<String, Text> textsElements = new HashMap<String, Text>();

		for (ChorevolutionPreferenceData sourceModelPref : contents) {
			Label label = new Label(container, SWT.NONE);
			label.setText(sourceModelPref.getLabel());

			Text text = new Text(container, SWT.BORDER);
			text.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
			text.setText(sourceModelPref.getValue());

			textsElements.put(sourceModelPref.getID(), text);
		}
		return textsElements;
	}
}
